# List dashboards

Gets a list of all dashboards that the user has access to.

> Note: For pagination guidance, refer to Token-based pagination.

Endpoint: GET /sights
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `numericDates` (boolean)
    You can optionally choose to receive and send dates/times in numeric format, as milliseconds since the UNIX epoch (midnight on January 1, 1970 in UTC time), using the query string parameter numericDates with a value of true. This query parameter works for any API request.

  - `lastKey` (string)
    The lastKey token returned from the previous page of results. If not specified,
the first page of results is returned.
    Example: "abcDefGhIjKlMnOpQrStUvWxYz"

  - `maxItems` (integer)
    The maximum number of items to return in the response. The actual number of items returned may be less than maxItems.

If the total number of dashboards the user has access to exceeds maxItems, the response will include a lastKey field. This key can be used as a parameter in subsequent requests to retrieve additional items beyond those already returned.

## Response 200 fields (application/json):

  - `lastKey` (string)
    A token that is used to retrieve the next page of results when passed as the
lastKey query parameter. This value will be absent when there are no 
further pages.
    Example: "abcDefGhIjKlMnOpQrStUvWxYz"

  - `data` (array)
    List of Dashboards

  - `data.createdAt` (any)

  - `data.modifiedAt` (any)

  - `data.id` (number)
    Dashboard ID.

  - `data.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `data.permalink` (string)
    URL that represents a direct link to the dashboard in Smartsheet.

  - `data.name` (string)
    Dashboard name.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


